#!/usr/bin/env python
# coding: utf-8

# In[2]:


def gcd(a, b):
    '''Use Euclid's algorithm to calculate the greatest common divisor (GCD) of two numbers.'''
    # Make a >= b.
    a = abs(a)
    b = abs(b)
    if (a < b):
        a, b = b, a

    # Pull out remainders.
    while True:
        remainder = a % b
        if remainder == 0: return b
        a = b
        b = remainder


# In[3]:


def lcm(a, b):
    '''Return the least common multiple (LCM) of two numbers.'''
    return a * b // gcd(a, b)


# In[4]:


print(gcd(180, 105))    # 15
print(lcm(36, 84))      # 252


# In[ ]:




